local PlayerData = {}
local hunger = 0
local thirst = 0

local lastValues = {
    health = 0,
    armor = 0,
    food = -1,
    water = -1,
    id = 0,
    location = ""
}

function GetLocationText()
    if not Config.ShowLocation then return "" end

    local ped = PlayerPedId()
    local coords = GetEntityCoords(ped)
    local street = GetStreetNameFromHashKey(GetStreetNameAtCoord(coords.x, coords.y, coords.z))
    return street
end

function updateHUD()
    local ped = PlayerPedId()
    local health = GetEntityHealth(ped)
    local armor = GetPedArmour(ped)
    local currentId = Config.ShowPlayerId and GetPlayerServerId(PlayerId()) or 0
    local location = GetLocationText()

    if health < 100 then
        health = 0
    else
        health = health - 100
    end

    local food = math.floor(100 - hunger + 0.5)
    local water = math.floor(100 - thirst + 0.5)

    if health ~= lastValues.health or armor ~= lastValues.armor or food ~= lastValues.food or water ~= lastValues.water or currentId ~= lastValues.id or location ~= lastValues.location then
        lastValues.health = health
        lastValues.armor = armor
        lastValues.food = food
        lastValues.water = water
        lastValues.id = currentId
        lastValues.location = location

        SendNUIMessage({
            type = 'updateStatusHud',
            show = true,
            health = health,
            armor = armor,
            food = food,
            water = water,
            id = currentId,
            location = location,
            showId = Config.ShowPlayerId,
            showLocation = Config.ShowLocation
        })
    end
end

-- Aici se face update-ul la hunger/thirst și HUD
CreateThread(function()
    while true do
        Wait(Config.UpdateInterval)
        TriggerServerEvent("get_Status")
        updateHUD()
    end
end)

-- Primește statusul de la server
RegisterNetEvent('status:update')
AddEventHandler('status:update', function(h, t)
    hunger = h
    thirst = t
end)